error_condition.hpp File Reference

Describes an endpoint error state. More...

`#include "./internal/export.hpp"`
`#include "./internal/config.hpp"`
`#include "./value.hpp"`
`#include <string>`
`#include <iosfwd>`
Include dependency graph for error_condition.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | error_condition
| Describes an endpoint error state. More...

## Namespaces

| proton
| The main Proton namespace.

## Detailed Description

Describes an endpoint error state.